Bug 753456 - Fedora 16 Live x86_64 hangs on boot
Fedora 16 Live x86_64 hangs on boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 12:41 EST by Martin Sebor
Modified: 2012-09-04 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 10:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -v on the machine. (5.07 KB, text/plain)
2011-11-12 12:43 EST, Martin Sebor
no flags Details

  None (edit)
Description Martin Sebor 2011-11-12 12:41:56 EST
Description of problem:
The Fedora 16 Live CD for x86_64 hangs while booting up on a new Dell XPS 8300 with a nVidia GeForce GT 530. The same problem was seen in Fedora 15. The regular installation DVD works fine.

Version-Release number of selected component (if applicable):
Fedora 16 Live CD downloaded from the following location:
http://download.fedoraproject.org/pub/fedora/linux/releases/16/Live/x86_64/Fedora-16-x86_64-Live-Desktop.iso

How reproducible:
Always

Steps to Reproduce:
1. Attempt to boot from Fedora 16 Live CD (x86_64)
2. Observe boot hang
3.
  
Actual results:
The last 5 messages on the console:
scsi 7:0:0:0: Direct-Access Generic Flash HS-HF 4.49 PQ:0 ANSI: 0
scsi 7:0:0:1: Direct-Access Generic Flash HS-COMBO 4.49 PQ:0 ANSI: 0
scsi 7:0:0:0: Attached scsi generic sg6 type0
scsi 7:0:0:1: Attached scsi generic sg7 type0
sd 7:0:0:0: [sdf] Attached SCSI removable disk
sd 7:0:0:1: [sdg] Attached SCSI removable disk

Expected results:
Successful boot of the OS.

Additional info:
The system can be rebooted by pressing Ctrl+Alt+Del.
Comment 1 Martin Sebor 2011-11-12 12:43:17 EST
Created attachment 533260 [details]
Output of lspci -v on the machine.

Attached output of the lspci -v command.
Comment 2 Josh Boyer 2011-11-14 14:05:07 EST
Does the machine not drop to a dracut shell?

Can you take a picture of the screen or otherwise capture what you see?

The kernels on the live and DVD images are the same, so something unique to the live image seems to be causing issues.

Have you installed from the DVD image and successfully booted afterwards?
Comment 3 Martin Sebor 2011-11-14 14:25:15 EST
There is no prompt after the last console message. The system isn't completely dead as I can make it display other messages but it never seems to give me control. I'll see if I can find some time to find a way how to retrieve the boot messages or take a photo of the screen if that helps.

I successfully installed Fedora 15 from the DVD (after having run into the same problem with the Live CD) but haven't tried the Fedora 16 DVD yet. I had read posts by others who had the same problem which is what gave me the idea of trying the Fedora 15 DVD instead.
Comment 4 Martin Sebor 2011-12-18 19:45:34 EST
I'm also unable to install Fedora 16 using the installation CD.

First, the GUI installer never comes up (the screen goes blank after I successfully check the installation media).

Using the text mode installation, the installer hangs at the Examining storage devices step.

Searching for similar problems, I came across the thread below that discusses similar symptoms:
http://www.fedoraforum.org/forum/showthread.php?t=272328
Comment 5 Josh Boyer 2012-02-29 14:46:41 EST
Do you have the same problem if you pass nomodeset on the kernel command line?

Also, we can't fix the install media at this point.  Do you have the same issues with the F17 Alpha release?
Comment 6 Dave Jones 2012-03-22 12:56:44 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Dave Jones 2012-03-22 13:00:42 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Martin Sebor 2012-03-22 13:08:20 EDT
(In reply to comment #5)
> Do you have the same problem if you pass nomodeset on the kernel command line?
> 
> Also, we can't fix the install media at this point.  Do you have the same
> issues with the F17 Alpha release?

I did have essentially the same problem with nomodeset (don't recall the exact details but the kernel didn't boot). I'll see about testing the F17 when I have a chance.
Comment 9 Dave Jones 2012-03-22 13:11:56 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.